IIOPConfig (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.lotus.IIOPConfig interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.lotus
Interface IIOPConfig

All Superinterfaces:
  LogicalElement, LotusConfig, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface IIOPConfig

extends LotusConfig

Persistable:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.core.ManagedElement
`IBM_COPYRIGHT`

Method Summary
`java.lang.String` | `getExternalHTMLDirectory()`
`java.lang.String` | `getHostName()`
`java.lang.String` | `getIdleSessionTimeout()`
`boolean` | `hasExternalHTMLDirectory()`
`boolean` | `hasHostName()`
`boolean` | `hasIdleSessionTimeout()`
`void` | `setExternalHTMLDirectory(java.lang.String s)`
`void` | `setHostName(java.lang.String s)`
`void` | `setIdleSessionTimeout(java.lang.String s)`

Methods inherited from interface com.collation.platform.model.topology.app.lotus.LotusConfig
`getAdditionalFields, getAnonymous, getAuthenticationOptions, getClientCertificate, getEnforceServerAccessSettings, getNameAndPassword, getParent, getPort, getPortStatus, getSSLAnonymous, getSSLAuthenticationOptions, getSSLNameAndPassword, getSSLPortNumber, getSSLPortStatus, getType, hasAdditionalFields, hasAnonymous, hasAuthenticationOptions, hasClientCertificate, hasEnforceServerAccessSettings, hasNameAndPassword, hasParent, hasPort, hasPortStatus, hasSSLAnonymous, hasSSLAuthenticationOptions, hasSSLNameAndPassword, hasSSLPortNumber, hasSSLPortStatus, hasType, setAdditionalFields, setAnonymous, setAuthenticationOptions, setClientCertificate, setEnforceServerAccessSettings, setNameAndPassword, setParent, setPort, setPortStatus, setSSLAnonymous, setSSLAuthenticationOptions, setSSLNameAndPassword, setSSLPortNumber, setSSLPortStatus, setType`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setExternalHTMLDirectory

    void setExternalHTMLDirectory(java.lang.String s)

### getExternalHTMLDirectory

    java.lang.String getExternalHTMLDirectory()
                                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasExternalHTMLDirectory

    boolean hasExternalHTMLDirectory()

### setIdleSessionTimeout

    void setIdleSessionTimeout(java.lang.String s)

### getIdleSessionTimeout

    java.lang.String getIdleSessionTimeout()
                                           throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasIdleSessionTimeout

    boolean hasIdleSessionTimeout()

### setHostName

    void setHostName(java.lang.String s)

### getHostName

    java.lang.String getHostName()
                                 throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasHostName

    boolean hasHostName()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD